Package net.shibboleth.idp.authn.context.navigate

# Class ProxyAuthenticationLookupFunction

java.lang.Object
net.shibboleth.idp.authn.context.navigate.ProxyAuthenticationLookupFunction

All Implemented Interfaces:
  `Function<Subject,String>`

public class ProxyAuthenticationLookupFunction extends Object implements Function<Subject,String>
A function that returns the first value stored in a `ProxyAuthenticationPrincipal` contained in a `Subject`.

## Constructor Summary

Constructors
Constructor
Description
`ProxyAuthenticationLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Subject input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ProxyAuthenticationLookupFunction

public ProxyAuthenticationLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable Subject input)

Specified by:
  `apply` in interface `Function<Subject,String>`